"{ Package: 'stx:libbasic' }"

"{ NameSpace: Smalltalk }"

UnboxedIntegerArray variableSignedWordSubclass:#SignedWordArray
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'Collections-Arrayed'
!

!SignedWordArray class methodsFor:'documentation'!

documentation
"
    SignedWordArrays store 16bit signed integers in the range 16r-8000..16r7FFF.
    They are much like WordArrays, but the values stored are signed.
    In contrast to normal arrays (which store pointers to their elements),
    signedWordArrays store the values in a dense & compact way. 
    Since the representation fits the underlying C-language systems representation
    of signed int16's, this is also useful to pass bulk data to c primitive code.

    Therefore, SignedWordArrays can be used to hold bulk data in a more compact way.
        For example:
            Array new:100000 withAll:1
        requires 400k of object memory;

        in contrast,
            SignedWordArray new:100000 withAll:1
        only requires half of it.

    [memory requirements:]
        OBJ-HEADER + (size * 2)

    [see also:]
        ByteArray WordArray BooleanArray FloatArray DoubleArray Array
        IntegerArray LongIntegerArray SignedLongIntegerArray

    [caveat:]
        should probably be renamed to SignedInt16Array or Int16Array

    [author:]
        Claus Gittinger
"
! !




!SignedWordArray class methodsFor:'documentation'!

version_CVS
    ^ '$Header$'
! !

